﻿@{
    Layout = "~/Views/Shared/_LayoutProcessManufacturing.cshtml";
}
<body>
    <div class="col-sm-12">
        <div class="row">
            <div class="col-lg-12">
                <h1 class="page-header">Machine Control</h1>
            </div>
        </div><!--/.row-->


        <div class="panel-body">
            <div class="col-md-6">
                @if (ViewBag.ShowDiv)
                {
                    <div id="successPanel" class="alert bg-success" role="alert"><em class="fa fa-lg fa-warning">&nbsp;</em> Successful Save <a href="#" class="pull-right"><em class="fa fa-lg fa-close" onclick="closeSuccess()"></em></a></div>
                }

                <form role="form" action="airQualityIdeal" method="post">
                    <div class="form-group">
                        <label style="font-size: medium;">Ideal Air Quality</label>
                        <input class="form-control" id="airQualityIdeal" name="airQualityIdeal" placeholder="Placeholder">
                        <button type="submit" class="btn btn-info" style="margin-left: 90%; margin-top: 10px;">Update</button>
                    </div>
                </form>

                <form role="form" action="boilerDrumPressure" method="post">
                    <div class="form-group">
                        <label style="font-size: medium;">Ideal Boiler Drum Pressure</label>
                        <input class="form-control" id="boilerDrumPressure" name="boilerDrumPressure" placeholder="Placeholder">
                        <button type="submit" class="btn btn-info" style="margin-left: 90%; margin-top: 10px;">Update</button>
                    </div>
                </form>

                <form role="form" action="processState" method="post">
                    <div class="form-group">
                        <label style="font-size: medium;">Process State</label>
                        <select class="form-control" id="processState" name="processState">
                            <option value="1">Start</option>
                            <option value="0">Stop</option>
                            <option value="2">Mainteinance</option>
                            <option value="3">Alarm</option>
                            <option value="4">Reset</option>
                        </select>
                        <button type="submit" class="btn btn-info" style="margin-left: 90%; margin-top: 10px;">Update</button>
                    </div>
                </form>

            </div>


        </div>	<!--/.main-->
    </div>

    <script>
        function closeSuccess() {
            var x = document.getElementById("successPanel");
            if (x.style.display === "none") {
                x.style.display = "block";
            } else {
                x.style.display = "none";
            }
        }
    </script>

</body>